var flow = require(__dirname + '/../lib/flow').flow;
var should = require('chai').should();

describe('Flow', function () {

    it('multiple end actions in parallel, should call action callback only once', function (done) {

        var a, b, c;

        flow()
            .par({
                a: function () {
                    this.end();
                },
                b: function () {
                    this.end();
                }
            })
            .seq(function () {
                c = 1;
                throw "should not executed"
            })
            .exec(function (err, results) {
                should.not.exist(err);
                should.exist(results);
                should.not.exist(c);

                results.should.not.have.ownProperty('a');
                results.should.not.have.ownProperty('b');

                done();
            })
    });

});